- Main Page
- Modules
- Classes
- Files

# Kernels

## Functions
static float | CxImage::KernelBSpline (const float x)
static float | CxImage::KernelLinear (const float t)
static float | CxImage::KernelCubic (const float t)
static float | CxImage::KernelGeneralizedCubic (const float t, const float a=-1)
static float | CxImage::KernelLanczosSinc (const float t, const float r=3)
static float | CxImage::KernelBox (const float x)
static float | CxImage::KernelHermite (const float x)
static float | CxImage::KernelHamming (const float x)
static float | CxImage::KernelSinc (const float x)
static float | CxImage::KernelBlackman (const float x)
static float | CxImage::KernelBessel_J1 (const float x)
static float | CxImage::KernelBessel_P1 (const float x)
static float | CxImage::KernelBessel_Q1 (const float x)
static float | CxImage::KernelBessel_Order1 (float x)
static float | CxImage::KernelBessel (const float x)
static float | CxImage::KernelGaussian (const float x)
static float | CxImage::KernelQuadratic (const float x)
static float | CxImage::KernelMitchell (const float x)
static float | CxImage::KernelCatrom (const float x)
static float | CxImage::KernelHanning (const float x)
static float | CxImage::KernelPower (const float x, const float a=2)

## Detailed Description

## Function Documentation

float CxImage::KernelBessel | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelBessel_J1 | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelBessel_Order1 | ( | float | x | ) | `[static, inherited]`

float CxImage::KernelBessel_P1 | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelBessel_Q1 | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelBlackman | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelBox | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelBSpline | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelCatrom | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelCubic | ( | const float | t | ) | `[static, inherited]`

Bicubic interpolation kernel (a=-1):

              /
             | 1-2|t|**2+|t|**3          , if |t| < 1
      h(t) = | 4-8|t|+5|t|**2-|t|**3     , if 1<=|t|<2
             | 0                         , otherwise
              \

***bd*** 2.2004

float CxImage::KernelGaussian | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelGeneralizedCubic | ( | const float | t,
|  | const float | a = `-1` |
| ) |  |  | `[static, inherited]`

Bicubic kernel (for a=-1 it is the same as BicubicKernel):

              /
             | (a+2)|t|**3 - (a+3)|t|**2 + 1     , |t| <= 1
      h(t) = | a|t|**3 - 5a|t|**2 + 8a|t| - 4a   , 1 < |t| <= 2
             | 0                                 , otherwise
              \

Often used values for a are -1 and -1/2.

float CxImage::KernelHamming | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelHanning | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelHermite | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelLanczosSinc | ( | const float | t,
|  | const float | r = `3` |
| ) |  |  | `[static, inherited]`

Lanczos windowed sinc interpolation kernel with radius r.

              /
      h(t) = | sinc(t)*sinc(t/r)       , if |t|<r
             | 0                       , otherwise
              \

***bd*** 2.2004

float CxImage::KernelLinear | ( | const float | t | ) | `[static, inherited]`

Bilinear interpolation kernel:

              /
             | 1-t           , if  0 <= t <= 1
      h(t) = | t+1           , if -1 <= t <  0
             | 0             , otherwise
              \

***bd*** 2.2004

float CxImage::KernelMitchell | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelPower | ( | const float | x,
|  | const float | a = `2` |
| ) |  |  | `[static, inherited]`

float CxImage::KernelQuadratic | ( | const float | x | ) | `[static, inherited]`

float CxImage::KernelSinc | ( | const float | x | ) | `[static, inherited]`